import request from '../../utils/request'

export function selectSetlinfos(data) {
  return request({
    url: '/siManage/selectSetlinfos',
    method: 'post',
    data,
  })
}

export function institutionSettlementLedgerCheck(data) {
  return request({
    url: '/siManage/institutionSettlementLedgerCheck',
    method: 'post',
    data,
  })
}

export function institutionSettlementDetailCheck(data) {
  return request({
    url: '/siManage/institutionSettlementDetailCheck',
    method: 'post',
    data,
  })
}

export function uploadCatalogueContrast(data) {
  return request({
    url: '/siManage/uploadCatalogueContrast',
    method: 'post',
    data,
  })
}

export function revokeCatalogueContrast(data) {
  return request({
    url: '/siManage/revokeCatalogueContrast',
    method: 'post',
    data,
  })
}

export function autoRecoveryTrade(data) {
  return request({
    url: '/siManage/autoRecoveryTrade',
    method: 'post',
    data,
  })
}

export function selectSetlPrescription(mdtrtId) {
  return request({
    url: '/siManage/selectSetlPrescription',
    method: 'get',
    params: { mdtrtId }
  })
}

export function queryBlInfo(patNo, times) {
  return request({
    url: '/siManage/selectMzBl',
    method: 'get',
    params: { patNo, times }
  })
}

export function selectSheets(month, status) {
  return request({
    url: '/siManage/selectSheets',
    method: 'get',
    params: { month, status }
  })
}

export function siUploadSheets(data) {
  return request({
    url: '/siManage/siUploadSheets',
    method: 'post',
    data,
    jdtTitle: '病案首页上传',
  })
}